vanBasco's Karaoke Player Online Help

Welcome to the online help system of vanBasco's Karaoke Player. Here you can find out how to use the software most efficiently.

Contents

About vanBasco's Karaoke Player
vanBasco's Karaoke Player's Windows
Tips & Tricks
Troubleshooting
Keyboard Shortcuts


About vanBasco's Karaoke Player

vanBasco's Karaoke Player is a standard MIDI file player with full screen Karaoke display for IBM PCs or compatibles running Microsoft Windows 95/98/ME/NT 4/2000 or XP.

Supported features include:

  • Playback of standard MIDI (.mid, .midi), Microsoft RMID (.rmi) and Karaoke (.kar) files
  • Karaoke display: up to four lines of lyrics, full screen display
  • Piano display
  • Real-time display of notes, velocities, and patches
  • Playback of damaged files, whatever portions are readable
  • Drag&Drop support
  • Files can be managed in an unlimited number of playlists
  • Shuffle- and Scan-Modes
  • On-the-fly change of tempo, volume, and key
  • Muting and Soloing of individual MIDI channels
License Agreement and Legal Notices


Window Overview

vanBasco's Karaoke Player consists of the following windows and dialogs:


Main Window

The main window is the heart of the player. Here, you specify which song to play, select which outputs to display, and also access some special functions like "shuffle" or "scan". The main window mimics to a large extent, video or music tape players and works pretty much the same. You can be intuitive about getting around this window.

To load a song, create a playlist or double-click the sound file in Windows Explorer (or drag & drop onto a window of the player). A new playlist identified as "(default)" will be created. If there is already a playlist entitled "(default)", its contents will be replaced (if you want to keep that playlist, simply rename it via the Playlist Window so it won't be overwritten later).

Player Control Buttons

  • To play, click the PLAY button. While playing, this button will become a PAUSE button, for temporary stops.
  • To 'rewind' to an earlier part of the song while playing, select the REW and don’t release the click until you have ‘rewound’ enough. You can judge that by observing the visual display of the song counter and the time/total values.
  • To skip forward to a later part of the song, select and hold down (click delayed release) the FWD button.
  • Alternatively, you can move around in the song by dragging the little blue timing bar along the time scale underneath the main play buttons.
  • The PREV and NEXT buttons refer to earlier and later songs in a playlist of songs.
  • STOP stops the playing of the song or playlist. If you push PLAY then, playing will start in the beginning. (Use PAUSE if you want to stop play temporarily and then pick up where you left off.)

Other Windows

The bottom line of the Main Window contains buttons which are used to open or close the other windows of vanBasco's Karaoke Player. The following windows are available:

  • PLAYLIST - The Playlist Window can be used to create, delete or modify playlists.
  • KARAOKE - The Karaoke Window shows the song lyrics.
  • OUTPUT - The currently playing notes of a song are displayed in the Output Window. You also can turn off channels there.
  • PIANO - The Piano Window shows the notes of all channels on a big piano keyboard.
  • CONTROL - If you want to change the volume, speed or key of a song, use the Control Window.

Player Mode Buttons

These are toggle buttons to select on or off. Red means ON, black means OFF:

  • AUTOPLAY causes dragged-and-dropped files to play instantly.
  • SHUFFLE causes random re-order of the songs in the current playlist.
  • SCAN allows you to listen to just a single frame of each song (usually in the beginning of the song, by default ranging from 00:10 to 00:20; can be configured via the Setup Dialog). This is very useful for trying a series of files.
  • REPEAT is actually a three-state option allowing to either repeat the current song, loop the whole playlist, or don't repeat.

Misc Buttons

  • Search (the magnifying glass, located in the upper right) -- clicking this icon will take you to the web page of vanBasco's MIDI Search, an Internet search engine for MIDI and Karaoke files.
  • Save As... (the disc to the left of the magnifying glass) -- allows you to save the current file to a local drive. Note: Using this button will save the original MIDI file. Any changes made in the output window, such as muting a channel, or changing the tempo in the Control window, will not be saved. However, you can save these changes to the playlist from within the Control Window.
  • Options (the note in the upper left corner) -- opens a menu which will allow you to access the setup dialog, toggle the playlist and the additional display windows, open the help file, etc.

Quick Select Window

Click the file name (or press 'Q' on your computer's keyboard) to bring up the quick select window. Here, you can easily navigate to any song in the current playlist, which is very convenient for on-stage usage, for example. There are three ways to do this:

  • use the mouse and just click a file
  • use the cursor keys
  • you may enter the song number (provided that the song position display is activated)
  • you can type in the first few characters of the song name

Once the desired song is highlighted, simply press the Return key to load that song. If you don't want to make any selection, you can dismiss the Quick Select Window by pressing Escape (Esc).

By the way, vanBasco's Karaoke Player can also be controlled via several other keyboard shortcuts.


Playlist Window

In the Playlist Window, you create and edit playlists comprised of individual songs. A playlist is simply a list of pointers to song files. The actual songs are stored in folders on your hard drive.

You get to the Playlist Window from the Main Window or by pressing Alt+L on your computer's keyboard.

On the left of the playlist window are the songs in the current playlist. On the right is the folder structure like Windows Explorer would display. The status bar at the bottom of the window will display the song info (as available) of the currently selected song.

Adding Files

  • To add a song to the current playlist, find it on the right hand ‘Explorer’ view and either select it and click the ADD button or double click on the located song to bring it left into the playlist.
  • Click ADD ALL to add all files on the right hand side to the playlist.
  • To change to another drive or to a higher directory level, use the drop down menu located above the right list. To go to a higher level, you can also use the UP botton to the right of the selector menu. To move into a sub-directory, double-click the corresponding entry in the right list.
Tip: You can bring a song multiple times into the same playlist - it will simply play multiple times.

Playing Files

To play a song, double click it in the left playlist detail window. If the window is wide enough, an additional button labeled PLAY! will be displayed. Clicking this button plays the song currently selected in the left list.

Managing Playlists

  • To create a new playlist, click the NEW button in the upper left.
  • To rename the current playlist, click the RENAME button.
  • To delete a playlist use the ERASE button to move the playlist file to the recycle bin. This will not erase any song files, just the playlist file.
  • To change a playlist, user the selector menu above the left list.

Changing Playlists

The buttons in the second row of the left hand side of this window can be used to change the currently loaded playlist.

  • To re-order a playlist, select one or more songs and either move them up using the UP button or down using the DOWN button.
  • Click the SORT button to sort the files into alphanumeric order.
  • To remove a song from the playlist, click on REMOVE. You won’t delete the song file, just the playlist pointer to it.
  • To remove all songs from the current playlist, click EMPTY.


Control Window

In the Control Window, you can change the volume, tempo and key of the song you are playing and save these settings to the playlist, or re-set to normal.

Controling Playback

  • You can make the song play from 25% slower to 200% faster by dragging the TEMPO control up and down with your mouse.
  • You can play the song as much as -12 semi tones lower or up to +12 semi tones higher by dragging the KEY control up or down.
  • Use the VOL control to change the volume of the music.

Save Settings to Playlist

vanBasco's Karaoke Player allows you to save the settings for speed, key and volume for every single song in the playlist. Also the settings of the Output Window will be saved.

  • SAVE - This will save your new values to the playlist. Not only will the settings from this window be remembered, but also any modifications in the Output Window, that is, muted or solo channels.
  • USE - Instructs vanBasco's Karaoke Player to use the settings previously saved (if any) to the playlist.
  • RESET - Resets all controls to default values. This will also reset any changes made in the Output Window (that is, un-mute all muted channels and un-solo all solo channels).


Output Window

The MIDI Output Window (also known as Real-time Display Window) shows what's happening on each channel -- what instrument is selected at that moment for each channel specified in the MIDI file playing.

Turning instruments off/making an instrument solo

You can mark a channel (that is, instrument) as a solo instrument by clicking the blue button (BLUE=SOLO). You will still hear the other instruments faintly. You can mute one or several channels by clicking the red button (RED=STOP). If you want to save these changes to the playlist so that they will be remembered in the future, select the control window and click on the Save-to-list button.

In order to save the settings from the Output Window permanently in the playlist, use the Control Window.


Piano Window

The Piano Window displays notes in real-time in a piano-keyboard style.

If no MIDI channels are muted or selected as "solo" in the Output Window, notes on all channels (except for the drum channels) are displayed. If there are solo channels, only notes on these channels are shown. Notes on muted channels will not be shown.


Karaoke Window

This window gives you the ‘sing-along’ words for the song being played (if the file supports it, that is, if the file includes the lyrics). There are up to four lines displayed. You can make the word display window larger or smaller by dragging the border with your mouse. To switch to full screen display, double-click inside the Karaoke Window (or choose "Full Screen" from the pop-up menu -- see below).

You can change settings for the Karaoke Window's pop-up menu by pointing your mouse inside the window and clicking once with the right mouse button. Then you can select:

  • Always on Top - This option will cause the Karaoke Window to stay on top of all other windows. This can be used to sing a song or to get the current information while working in another program.
  • Full Screen - Select this option for full screen Karaoke display.
  • Hide Karaoke - Select if you want to see file-specific information even if there are Karaoke lyrics present.
  • Options - This brings up the Karaoke Tab of the Setup Dialog.
  • Copy - Copies the words of the current song to the clipboard. Useful if you want to print the lyrics, for instance.


Setup Dialog

The Setup Dialog is used to specify various options. Click the note button in upper left of the Main Window and choose Setup... to get here.

Settings are grouped into four areas:

  • MIDI
  • Karaoke
  • Misc


Setup Dialog - MIDI Tab

Here, settings affecting playback can be modified.

Player Configuration

  • Output Device: Select here which device is used for MIDI output. (Note: if the only available option is "MIDI MAPPER", then this means that no MIDI device is configured. See the section troubleshooting for more information.)
  • Start from first note: If this option is enabled, vanBasco's Karaoke Player will skip any silence at the beginning of a MIDI file and begin playback immediately with the first note.
  • Fade Scan: enabled causes the sound to be faded in/out if the player is in Scan mode. It makes it easier to determine when each song sample starts and ends. This option may cause problems with some synthesizers or MIDI files
  • Scan from ... to ...: The values entered here decide which part of the song will be played when the Scan mode is active. The default is 00:10 to 00:20.

Reset Mode

Determines how the MIDI device is reset between songs to prevent settings from the previous file from affecting the currently playing song. Choose one of the following options:

General MIDI | Select this choice if you are using an external synthesizer or add-on board which is GM but neither GS nor XG compatible.
GS | Use this for Roland GS compatible synthesizers and XG devices in GS mode.
XG | This is the right setting for Yamaha XG devices in XG mode.
Windows | This is best for internal synthesizers like Creative Labs Soundblaster PCI 128 or when you're unsure which reset mode to choose. Please note that this setting may cause delays between songs on external synthesizers or add-on boards.
SYSEX Datei | If you want your own custom reset sequence to be sent to your synthesizer, select this setting and choose a SYSEX file (.syx) in the "File..." dialog. Selecting "SYSEX file" as reset-type without specifying a file name causes vanBasco's Karaoke Player not to send any reset at all.

Advanced Settings

If your MIDI files really sound wrong, try changing one of theses settings. These settings affect playback on MIDI transmission level and should not be changed unless you are an expert or have serious problems with MIDI playback.
  • Enable Running Status: Select this option if you want running status compression to be used. Running status compression is used to speed up MIDI transmission. However, there are some MIDI devices that don't support this. If you experience difficulties like hanging notes and notes that are not played, you should disable this option.
  • Skip Redundant Data: Skipping 'redundant' data is another technique used by vanBasco's Karaoke Player to speed up MIDI transmission whenever you jump through a MIDI file using Fast Forward or Rewind. This may cause problems with some MIDI files. If a MIDI file sounds different than expected, try disabling this option.
  • Reset On Pause: Should only be checked if you encounter hanging notes during or after Fast Forward or Rewind mode (or when you press Pause).
  • SYSEX Delay: Some (usually older) synthesizers need some time to process SYSEX messages and cannot receive other MIDI commands meanwhile. A symptom of this phenomenon is e.g. wrong instruments (usually piano) on all channels. If this is the case with your sound board, try setting the SYSEX delay to a value between 50 and 1000. Please use the lowest working value since vanBasco's Karaoke Player will have to wait after a SYSEX message for this amount of milliseconds until the next MIDI message can be posted.


Setup Dialog - Karaoke Tab

You can use this tab in order to customize the Karaoke Window.

Display

  • Font: Here you can change the font of the karaoke display.
  • Font Outline: If checked, the karaoke lyrics are drawn with an outline.
  • Font Size: This determines the size of the karaoke lyrics. Please note that the lyrics will be shrunk if they do not fit into a single line.
  • Center Lyrics: Center lyrics horizontally.
  • Karaoke Type: Here you have four choices:
    One Line | Displays only one line of lyrics at a time.
    Two Lines
             Two lines of lyrics where the current line is always on top.
    Two Lines (swapped) | Two lines of lyrics where the current line alternately is the top or the bottom line.
    Four Lines (swapped) | Four lines of karaoke lyrics. The current line is moving from the top to the bottom. The lyrics are exchanged two lines at a time.
  • Vertical Position: Here you determine if the lyrics are on top, in the middle or at the bottom of the Karaoke Window.
  • Colors: Here you can change the colors of the lyrics, the outline and the window background.
  • Background Image: Choose a different background image here. The formats .bmp and .jpg are supported.

Advanced Options

  • Fit Window To Lyrics: When this option is activated, the aspect ratio of the karaoke window is fixed such that the lyrics completely fill the window. This does not influence the full screen mode.
  • Show info when no karaoke: Shows additional information from the file, when no karaoke lyrics are available.
  • Show Hints: Inserts hints such as "(introduction)", "(instrumental)" and "(ending)" into longer gaps between lyrics.
  • Show Song Name: Displays the file name in the karaoke window.
  • Scroll info: When this option is checked, the file informations are automatically scrolled when they do not fit into the karaoke window. This may slow down playback on many machines!


Setup Dialog - Misc Tab

Here you can set the following options:

Skin

Here you can change the visual appearance of vanBasco's Karaoke Player. Please note that all skins must be put into the same directory as the software. Any changes will only take effect when the program is restarted.

  • Randomly select one: Randomly selects a skin at each program startup.

Associated Filetypes

Select here which filetypes you want to be registered with vanBasco's Karaoke Player.

  • Register filetypes on program startup: If this option is ticked, all selected filetypes will be re-registered (if necessary) every time you start vanBasco's Karaoke Player - this is helpful in case some other application "steals" one or more filetypes that you wish to be associated with this software.

Playlist Window/Quick Select Window

  • Show Song Position: Activate this option to have the numerical positions displayed in the Playlist Window and the Quick Select Window.
  • Don't read song info from floppy drives: In the Playlist Window, if you highlight an entry, the song info will be displayed in the status bar. However, reading from a floppy drive can be slow, which is why, by default, the song info is not read for files located on floppy disks. Uncheck this option if you wish to get the song info even when a file is located on a diskette.

Advanced Karaoke Options

  • Character Set: Though most Karaoke files use the Windows ANSI character set, there are some files which use DOS-ASCII. The setting "Western (DOS/Windows)" lets vanBasco's Karaoke Player use a built-in mechanism that tries to detect whether ANSI or ASCII was used during file creation. However, sometimes this detection fails, in which case you may encounter wrong characters in the Karaoke Window. If you experience this behavior or want to use non-western characters, you can use this option to force a particular character set. Should a character set not appear in the list, please use the "Default" setting and try to find a suitable font in the Karaoke Tab.
  • Lyric Delay: If you are using a software synthesizer as MIDI output device, you may experience a delay in the sound output for up to half a second (sometimes longer, depending on the speed of your computer). This can be particularly annoying with Karaoke files as the lyrics will not be synchronized with the sound. You can compensate for this by entering a positive value in this field (unit: milliseconds). Also, if you want the lyrics not to be highlighted later, but earlier, then you can specify a negative value. The default value is -200 ms, which means that the lyrics are highlighted slightly before they should be sung. The reason for this is that the idea of the highlighting mechanism is to provide an additional cue - to tell the singer when to sing. However, if the lyrics are highlighted precisely the moment that they are supposed to be sung, then the cue is effectively too late, and not of much help. That's why most users prefer the default value of -200 ms rather than 0 ms. If you do not find this convenient, simply set this field to 0.
  • Allow Multiple Lyric Tracks: Generally, MIDI Karaoke file contain only one lyric track. However, there are files that contain multiple lyric tracks. When vanBasco's Karaoke Player encounters such a file, it chooses the track containing the largest number of lyrics, and discards lyrics from all other tracks. Though this has proven to work very well, sometimes it may be desirable to see the lyrics from all tracks. In order to achieve that, select this option.

Language

  • User Interface: Use this setting to change the language of the user interface. Please note that you have to restart the program for all user interface elements to be translated.


Tips & Tricks

Following some Tips & Tricks that should answer the most commonly asked questions. We've also added the Tip of the Session Dialog which will give you an extra hint every time you launch vanBasco's Karaoke Player. In addition, there is the troubleshooting section. Finally, vanBasco's Karaoke Player can be controlled via several keyboard shortcuts as well.

Here are some tips that will help you get the most out of this program:

  1. For fullscreen Karaoke, either double-click inside the Karaoke window or choose "Full Screen" from the Karaoke window's context menu (right-click inside the Karaoke window to open the context menu).
  2. You can drag and drop files onto vanBasco's Karaoke Player from file managers like Windows Explorer.
  3. You can easily customize the Karaoke window -- select fonts, colors, background image etc.-- using the setup dialog (click the note button in the top-left corner of the main program window and choose "Setup...").
  4. If you encounter hanging notes or other sound abnormalities, change options in the setup dialog (click the note button in the top-left corner of the main window and choose "Setup..."). You might want to try changing the output device or reset mode. If you have severe problems, change some of the advanced settings.
  5. You can randomly arrange all songs in the current playlist using the shuffle function (click to turn red the button SHUFFLE in upper right in main window).
  6. If your files sound wrong, try setting the SYSEX delay in the setup dialog to a value greater than 30. If you encounter hanging notes during fast-forward or when pressing the Pause button, please enable "Reset On Pause".
  7. To do Karaoke while running other apps, check "Always On Top" in the Karaoke window's context menu (click inside Karaoke window with right mouse button).
  8. To mute or play solo one ore more channels, in the Output Window press the red and blue buttons, respectively.
  9. Choosing the Scan mode (click on SCAN in the main window) is handy for trying multiple files. You can specify the scan interval in the setup dialog.
  10. vanBasco's Karaoke Player supports a number of keyboard shortcuts. Click here for a complete list.
  11. You can quickly navigate to a particular song in the current playlist using the quick select window (in the main program window, click the file name or press 'Q' on your computer's keyboard)


Troubleshooting

Problem: I have installed your program, but when I try to play a MIDI file, I don't get any sound or I get an "MMSYSTEM00x ..." error message.

Solution: Several issues can cause this. Try the following:
  1. First, make sure the appropriate channel is enabled in the Windows mixer: double-click the speaker icon at the far right end of the task bar at the bottom of the screen to open the mixer. The appropriate channel is usually labeled "MIDI", "synthesizer", "wavetable", or something similar - make sure that channel is not muted and set the volume to a reasonable level.
  2. If that does not help, try changing the output device in the setup dialog of our player. To do that, click the note button in the top-left corner of the main program window and select "Setup...". From the drop-down box labeled "Output Device", choose a different entry; try each one until you hear sound.
  3. If you still get no sound, please try to install new drivers for your soundcard. For further information go to the web site of you soundcard's manufacturer.


Keyboard Shortcuts

vanBasco's Karaoke Player can be controlled via the following keyboard shortcuts:

keyboard shortcut | alternative shortcut | action
Space Bar |  | Play / Pause
ESC |  | Stop
Ctrl + N | F4 | Next Song in Playlist
Ctrl + P | F3 | Previous Song in Playlist
Right Arrow |  | Fast Forward
Left Arrow |  | Rewind
+ |  | Transpose Up by One Semitone
- |  | Transpose Down by One Semitone
Num * | > | Increase Tempo (speed)
Num / | < | Decrease Tempo
[ |  | Lower Volume (Softer)
] |  | Increase Volume (Louder)
Ctrl + 0 | F2 | Reset
Alt + Q | F12 | Open Quick Select Window
Alt + F | F11 | Toggle Full Screen Karaoke
F1 |  | Open Online Help File
Alt + L |  | Toggle Playlist Window
Alt + C |  | Toggle Control Window
Alt + O |  | Toggle Output Window
Alt + P |  | Toggle Piano Window
Alt + K |  | Toggle Karaoke Window
Ctrl + A |  | Toggle Autoplay
Ctrl + C |  | Toggle Scan
Ctrl + S |  | Toggle Shuffle
Ctrl + R |  | Toggle Repeat
Alt + S |  | Open Setup Dialog
Alt + X |  | Exit Program


License Agreement and Legal Notices

License Agreement

The following sets out for your reference the terms of the license which have been accepted:
License Agreement ("AGREEMENT")

By installing and/or using vanBasco's Karaoke Player (the "SOFTWARE") you agree to the following license agreement. If you do not agree to all of the terms of this license agreement do not install and/or use the SOFTWARE. The SOFTWARE is protected by German national laws and international treaties. Any misuse is a criminal offense and will be prosecuted to the maximum extent possible under the law.

1. What This License Agreement Covers
You are granted a non-exclusive license to use the SOFTWARE on a single computer free of charge for your personal, non-commercial and private use subject to the terms and conditions of this AGREEMENT; any kind of commercial use of the SOFTWARE is prohibited. You are further allowed to make as many backup copies as are reasonably necessary for your lawful use of the SOFTWARE.

2. Ownership and Restrictions
  1. Daniel Pustka and Bastian Tugemann ("VANBASCO") retain all ownership and intellectual property rights relating to the SOFTWARE.
  2. You may not:
    1. modify, translate, reverse engineer, decompile, disassemble the SOFTWARE or create derivative works based on the SOFTWARE except in cases allowed by § 69 a ff UrhG (German Copyright Act);
    2. modify or remove any copyright or proprietary notices on the SOFTWARE and you must reproduce such notices on any copies or part-copies of the SOFTWARE in the form in which they appear on the original;
    3. re-license, sub-license, rent, lease, timeshare, or act as a service bureau or provide subscription services for the SOFTWARE;
    4. assign this AGREEMENT or give the SOFTWARE or an interest in the SOFTWARE to another individual or entity;
    5. redistribute the SOFTWARE (i.e. give copies of the SOFTWARE to third parties) in any form and under any circumstances whatsoever, unless you have obtained prior written consent from VANBASCO.
  3. You agree that you shall comply with all relevant import and export laws, rules and regulations affecting the SOFTWARE or any portion of it.
3. Disclaimer of Warranty
The SOFTWARE is provided "AS IS", without warranty of any kind, including - but not limited to - the warranties that the SOFTWARE is free of defects, merchantable, fit for a particular purpose or non-infringing. The entire risk as to the quality and performance of the SOFTWARE is borne by you. Should the SOFTWARE prove defective in any respect, you and not VANBASCO assume the entire cost of any service and repair.

4. Limitation of Liability
Under no circumstance and under no legal theory, tort, contract, or otherwise, shall VANBASCO or its suppliers or distributors be liable to you or any other person for any indirect, special, incidental, or consequential damages of any character including - but not limited to - damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other damages or losses. Since you are allowed to use the software free of charge, subject to the terms of this AGREEMENT, in no event will VANBASCO be liable for anything at all, even if VANBASCO shall have been informed of the possibility of such damages, or for any claim by any third party except in cases of intent (Vorsatz) or gross negligence (grobe Fahrlässigkeit).

5. Miscellaneous
This AGREEMENT represents the complete agreement concerning the license granted hereunder and may not be amended by others than VANBASCO. The AGREEMENT and the license granted hereunder will terminate automatically if you fail to comply with the limitations described herein. If any provision of this AGREEMENT is declared or found to be illegal, unenforceable or void, such provision shall be modified only to the extent necessary to make it enforceable, and each provision not so affected shall be enforced to the full extent permitted by law. This AGREEMENT shall be governed by, and construed in accordance with, German law excluding the German international law. If you have merchant status (Kaufmann i.S.d. § 1 Handelsgesetzbuch), the exclusive place of jurisdiction will be Munich. In any cases of necessary statutory interpretation only German rules will be applicable.

Copyright © 2004 Daniel Pustka and Bastian Tugemann. All rights reserved.

Trademarks

Windows is a registered trademark of Microsoft Corporation. All other trademarks and copyrights referred to within this software or documentation or any accompanying part(s) are the property of their respective owners.

Misc

This software is based in part on the work of the Independent JPEG Group.